Files 5 endpoints

GET /crm/files
operationId: Files_getAllFiles

Parameters

Name In Required Type Description
entity query optional string

Filter by file entity type

entityIds query optional string

Filter by file entity IDs

dateFrom query optional integer

dateFrom to date range filter type (timestamp in milliseconds)

dateTo query optional integer

dateTo to date range filter type (timestamp in milliseconds)

offset query optional integer

Index of the first document of the page

limit query optional integer

Number of documents per page

sort query optional string

Sort the results in the ascending/descending order. Default order is descending by creation if sort is not passed

Responses

200

Returns files list with filters

400

Returned when query params are invalid

GET /crm/files
POST /crm/files
operationId: Files_uploadFile

Request Body

required
multipart/form-data
schema FilesUploadFileRequest
Property Type Required
file string required
dealId string optional
companyId string optional
contactId integer optional

Responses

201

Returns the created File with additional details

400

Returned when invalid data posted

POST /crm/files
DELETE /crm/files/{id}
operationId: Files_deleteFile

Parameters

Name In Required Type Description
id path required string

File id to delete.

Responses

204

Returned when file is deleted.

400

Returned when invalid data posted

404

Returned when item not found

DELETE /crm/files/{id}
GET /crm/files/{id}
operationId: Files_downloadFile

Parameters

Name In Required Type Description
id path required string

File id to download.

Responses

200

Returns downloadable file link. Valid for next 5 minutes only.

400

Returned when invalid data posted

404

Returned when item not found

GET /crm/files/{id}
GET /crm/files/{id}/data
operationId: Files_getFileDetails

Parameters

Name In Required Type Description
id path required string

File id to get file data.

Responses

200

Returned when file is found.

400

Returned when invalid data posted

404

Returned when item not found

GET /crm/files/{id}/data

Inboundparsing 3 endpoints

GET /inbound/attachments/{downloadToken}

This endpoint will retrieve inbound attachment with download token.

operationId: InboundParsing_getAttachmentByToken

Parameters

Name In Required Type Description
downloadToken path required string

Token to fetch a particular attachment

Responses

200

Attachment information

400

bad request

404

attachment not found

GET /inbound/attachments/{downloadToken}
GET /inbound/events

This endpoint will show the list of all the events for the received emails.

operationId: InboundParsing_getAllEvents

Parameters

Name In Required Type Description
sender query optional string

Email address of the sender.

startDate query optional string

Mandatory if endDate is used. Starting date (YYYY-MM-DD or YYYY-MM-DDTHH:mm:ss.SSSZ) from which you want to fetch the list. Maximum time period that can be selected is one month.

endDate query optional string

Mandatory if startDate is used. Ending date (YYYY-MM-DD or YYYY-MM-DDTHH:mm:ss.SSSZ) till which you want to fetch the list. Maximum time period that can be selected is one month.

limit query optional integer

Number of documents returned per page

offset query optional integer

Index of the first document on the page

sort query optional string

Sort the results in the ascending/descending order of record creation

Responses

200

List of events for received emails.

400

bad request

GET /inbound/events
GET /inbound/events/{uuid}

This endpoint will show the list of all events history for one particular received email.

operationId: InboundParsing_getEmailEvents

Parameters

Name In Required Type Description
uuid path required string

UUID to fetch events specific to recieved email

Responses

200

Email campaign informations

400

bad request

GET /inbound/events/{uuid}

Masteraccount 21 endpoints

POST /corporate/group

This endpoint allows to create a group of sub-accounts

operationId: MasterAccount_createGroupOfSubAccounts

Request Body

application/json
schema MasterAccountCreateGroupOfSubAccountsRequest
Property Type Required
groupName string required
subAccountIds array optional

Responses

201

Group ID

400

Bad request

POST /corporate/group
PUT /corporate/group/unlink/{groupId}/subAccounts

This endpoint allows you to remove a sub-organization from a group.

operationId: MasterAccount_unlinkSubAccountFromGroup

Parameters

Name In Required Type Description
groupId path required string

Group id

Request Body

required

List of sub-account ids

application/json
schema MasterAccountUnlinkSubAccountFromGroupRequest
Property Type Required
subAccountIds array required

Responses

204

SubAccounts removed from the group

400

bad request

PUT /corporate/group/unlink/{groupId}/subAccounts
DELETE /corporate/group/{id}

This endpoint allows you to delete a group of sub-organizations. When a group is deleted, the sub-organizations are no longer part of this group. The users associated with the group are no longer associated with the group once deleted.

operationId: MasterAccount_deleteGroup

Parameters

Name In Required Type Description
id path required string

Id of the group

Responses

204

Group deleted

400

bad request

DELETE /corporate/group/{id}
GET /corporate/group/{id}

This endpoint allows you to retrieve a specific group’s information such as the list of sub-organizations and the user associated with the group.

operationId: MasterAccount_getGroupDetails

Parameters

Name In Required Type Description
id path required string

Id of the group of sub-organization

Responses

200

Group details

GET /corporate/group/{id}
PUT /corporate/group/{id}

This endpoint allows to update a group of sub-accounts

operationId: MasterAccount_updateGroupSubAccounts

Parameters

Name In Required Type Description
id path required string

Id of the group

Request Body

required

Group details to be updated.

application/json
schema MasterAccountUpdateGroupSubAccountsRequest
Property Type Required
groupName string optional
subAccountIds array optional

Responses

204

Group details updated

400

bad request

PUT /corporate/group/{id}
GET /corporate/groups

This endpoint allows you to list all groups created on your Admin account.

operationId: MasterAccount_listGroups

Responses

200

list of all the sub-account groups

GET /corporate/groups
GET /corporate/invited/users

This endpoint allows you to list all Admin users of your Admin account

operationId: MasterAccount_listAdminUsers

Responses

200

list of all admin users

GET /corporate/invited/users
GET /corporate/masterAccount

This endpoint will provide the details of the master account.

operationId: MasterAccount_getDetails

Responses

200

Master account details

400

bad request

GET /corporate/masterAccount
POST /corporate/ssoToken

This endpoint generates an SSO token to authenticate and access the admin account using the endpoint https://account-app.brevo.com/account/login/corporate/sso/[token], where [token] will be replaced by the actual token.

operationId: MasterAccount_generateSsoToken

Request Body

application/json
schema MasterAccountGenerateSsoTokenRequest
Property Type Required
email string required

Responses

200

Session token

400

bad request

403

Current account is not an admin account

POST /corporate/ssoToken
GET /corporate/subAccount

This endpoint will provide the list all the sub-accounts of the master account.

operationId: MasterAccount_listSubAccounts

Parameters

Name In Required Type Description
offset query required integer

Index of the first sub-account in the page

limit query required integer

Number of sub-accounts to be displayed on each page

Responses

200

Sub-accounts list

400

bad request

GET /corporate/subAccount
POST /corporate/subAccount

This endpoint will create a new sub-account under a master account

operationId: MasterAccount_createSubAccount

Request Body

required

Request body with sub-account organization name

application/json
schema createSubAccount
Property Type Required
email string required
language string optional
timezone string optional
companyName string required

Responses

201

Created sub-account ID

400

Bad request

POST /corporate/subAccount
POST /corporate/subAccount/key

This endpoint will generate an API v3 key for a sub account

operationId: MasterAccount_createSubAccountKey

Request Body

application/json
schema MasterAccountCreateSubAccountKeyRequest
Property Type Required
id integer required
name string required

Responses

201

API key

400

bad request

POST /corporate/subAccount/key
POST /corporate/subAccount/ssoToken

This endpoint generates an sso token to authenticate and access a sub-account of the master using the account endpoint https://account-app.brevo.com/account/login/sub-account/sso/[token], where [token] will be replaced by the actual token.

operationId: MasterAccount_generateSsoToken

Request Body

application/json
schema MasterAccountGenerateSsoTokenRequest1
Property Type Required
id integer required
url string optional
email string optional
target string optional

Responses

200

Session token

400

bad request

403

Current account is not a master account

POST /corporate/subAccount/ssoToken
DELETE /corporate/subAccount/{id}
operationId: MasterAccount_deleteSubAccount

Parameters

Name In Required Type Description
id path required integer

Id of the sub-account organization to be deleted

Responses

204

Returned when sub-account is deleted succesfully

400

bad request

404

sub-account not found

DELETE /corporate/subAccount/{id}
GET /corporate/subAccount/{id}

This endpoint will provide the details for the specified sub-account company

operationId: MasterAccount_getSubAccountDetails

Parameters

Name In Required Type Description
id path required integer

Id of the sub-account organization

Responses

200

Sub-account organization details

400

bad request

GET /corporate/subAccount/{id}
PUT /corporate/subAccount/{id}/applications/toggle

API endpoints for the Corporate owner to enable/disable applications on the sub-account

operationId: MasterAccount_enableDisable

Parameters

Name In Required Type Description
id path required integer

Id of the sub-account organization (mandatory)

Request Body

required

List of applications to activate or deactivate on a sub-account

application/json
schema subAccountAppsToggleRequest
Property Type Required
crm boolean optional
inbox boolean optional
meetings boolean optional
web-push boolean optional
whatsapp boolean optional
automation boolean optional
facebook-ads boolean optional
conversations boolean optional
landing-pages boolean optional
sms-campaigns boolean optional
email-campaigns boolean optional
transactional-sms boolean optional
transactional-emails boolean optional

Responses

204

Sub-account application(s) enabled/disabled

400

bad request

403

Current account is not a master account

PUT /corporate/subAccount/{id}/applications/toggle
PUT /corporate/subAccount/{id}/plan

This endpoint will update the sub-account plan

operationId: MasterAccount_updateSubAccountPlan

Parameters

Name In Required Type Description
id path required integer

Id of the sub-account organization

Request Body

required

Values to update a sub-account plan

application/json
schema subAccountUpdatePlanRequest
Property Type Required
credits object optional
email integer optional
features object optional
inbox integer optional
users integer optional
landingPage integer optional

Responses

204

Sub account plan updated

400

bad request

403

Current account is not a master account

PUT /corporate/subAccount/{id}/plan
POST /corporate/user/invitation/send

`This endpoint allows you to invite a member to manage the Admin account

Features and their respective permissions are as below:

  • my_plan:
    • “all”
  • api:
    • “none”
  • user_management:
    • “all”
  • app_management Not available in ENTv2:
    • “all”

Note:

  • If all_features_access: false then only privileges are required otherwise if true then it’s assumed that all permissions will be there for the invited admin user.
operationId: MasterAccount_sendInvitationToAdminUser

Request Body

required

Payload to send an invitation

application/json
schema inviteAdminUser
Property Type Required
email string required
groupIds array optional
privileges array required
feature string optional
permissions array optional
all_features_access boolean required

Responses

201

Invitation ID

400

Bad request

POST /corporate/user/invitation/send
PUT /corporate/user/invitation/{action}/{email}

This endpoint will allow the user to:

  • Resend an admin user invitation
  • Cancel an admin user invitation
operationId: MasterAccount_resendCancelAdminUserInvitation

Parameters

Name In Required Type Description
action path required string

Action to be performed (cancel / resend)

email path required string

Email address of the recipient

Responses

200

Response of the action performed

400

bad request

PUT /corporate/user/invitation/{action}/{email}
DELETE /corporate/user/revoke/{email}

This endpoint allows to revoke/remove an invited member of your Admin account

operationId: MasterAccount_revokeAdminUser

Parameters

Name In Required Type Description
email path required string

Email of the invited user

Responses

204

User revoked

400

bad request

DELETE /corporate/user/revoke/{email}
GET /corporate/user/{email}/permissions
operationId: MasterAccount_checkAdminUserPermissions

Parameters

Name In Required Type Description
email path required string

Email of the invited user.

Responses

200

List of user’s permissions

400

bad request

GET /corporate/user/{email}/permissions

Notes 5 endpoints

GET /crm/notes
operationId: Notes_getAll

Parameters

Name In Required Type Description
entity query optional string

Filter by note entity type

entityIds query optional string

Filter by note entity IDs

dateFrom query optional integer

dateFrom to date range filter type (timestamp in milliseconds)

dateTo query optional integer

dateTo to date range filter type (timestamp in milliseconds)

offset query optional integer

Index of the first document of the page

limit query optional integer

Number of documents per page

sort query optional string

Sort the results in the ascending/descending order. Default order is descending by creation if sort is not passed

Responses

200

Returns notes list with filters

400

Returned when query params are invalid

GET /crm/notes
POST /crm/notes
operationId: Notes_createNewNote

Request Body

required

Note data to create a note.

application/json
schema NoteData
Property Type Required
text string required
dealIds array optional
companyIds array optional
contactIds array optional

Responses

200

Created new note

400

Returned when invalid data posted

415

Format is not supported

POST /crm/notes
DELETE /crm/notes/{id}
operationId: Notes_removeById

Parameters

Name In Required Type Description
id path required string

Note ID to delete

Responses

204

Returned when item deleted

400

Returned when invalid data posted

404

Returned when item not found

DELETE /crm/notes/{id}
GET /crm/notes/{id}
operationId: Notes_getById

Parameters

Name In Required Type Description
id path required string

Note ID to get

Responses

200

Returns the Note by id

400

Returned when invalid data posted

404

Returned when item not found

GET /crm/notes/{id}
PATCH /crm/notes/{id}
operationId: Notes_updateNoteById

Parameters

Name In Required Type Description
id path required string

Note ID to update

Request Body

required

Note data to update a note.

application/json
schema NoteData
Property Type Required
text string required
dealIds array optional
companyIds array optional
contactIds array optional

Responses

204

Note updated successfully

400

Returned when invalid data posted

404

Returned when item not found

415

Format is not supported

PATCH /crm/notes/{id}

Payments 3 endpoints

POST /payments/requests
operationId: Payments_createPaymentRequest

Request Body

required

Create a payment request

application/json
schema createPaymentRequest
Property Type Required
cart object required
currency string required
specificAmount integer required
contactId integer required
reference string required
notification object optional
text string required
channel string required
configuration object required
customSuccessUrl string required

Responses

201

Payment request created.

400

Bad request.

401

Unauthorized.

403

Permission denied. Either you don’t have access to Brevo Payments or your Brevo Payments account is not validated.

POST /payments/requests
DELETE /payments/requests/{id}
operationId: Payments_deleteRequest

Parameters

Name In Required Type Description
id path required string

ID of the payment request.

Responses

204

Payment request deleted successfully.

401

Unauthorized.

403

Permission denied. Either you don’t have access to Brevo Payments or your Brevo Payments account is not validated.

404

Payment request not found.

DELETE /payments/requests/{id}
GET /payments/requests/{id}
operationId: Payments_getDetails

Parameters

Name In Required Type Description
id path required string

Id of the payment Request

Responses

200

Payment request details

400

Bad request.

401

Unauthorized.

403

Permission denied. Either you don’t have access to Brevo Payments or your Brevo Payments account is not validated.

404

Payment request not found.

GET /payments/requests/{id}

Process 2 endpoints

GET /processes
operationId: Process_getAllProcesses

Parameters

Name In Required Type Description
limit query optional integer

Number limitation for the result returned

offset query optional integer

Beginning point in the list to retrieve from.

sort query optional string

Sort the results in the ascending/descending order of record creation. Default order is descending if sort is not passed

Responses

200

processes informations

400

bad request

GET /processes
GET /processes/{processId}
operationId: Process_getProcessInformation

Parameters

Name In Required Type Description
processId path required integer

Id of the process

Responses

200

process informations

400

bad request

404

Process ID not found

GET /processes/{processId}

Reseller 11 endpoints

GET /reseller/children
operationId: Reseller_listChildrenAccounts

Parameters

Name In Required Type Description
limit query optional integer

Number of documents for child accounts information per page

offset query optional integer

Index of the first document in the page

Responses

200

list of children

403

Current account is not a reseller

GET /reseller/children
POST /reseller/children
operationId: Reseller_createChild

Request Body

reseller child to add

application/json
schema createChild
Property Type Required
email string required
language string optional
lastName string required
password string required
firstName string required
companyName string required

Responses

201

child created

400

Bad request

403

Current account is not a reseller

POST /reseller/children
DELETE /reseller/children/{childIdentifier}
operationId: Reseller_deleteChildByIdentifier

Parameters

Name In Required Type Description
childIdentifier path required string

Either auth key or child id of reseller’s child

Responses

204

child deleted

400

bad request

403

Current account is not a reseller

404

Child auth key or child id not found

DELETE /reseller/children/{childIdentifier}
GET /reseller/children/{childIdentifier}
operationId: Reseller_getChildDetails

Parameters

Name In Required Type Description
childIdentifier path required string

Either auth key or id of reseller’s child

Responses

200

Information for the child

400

bad request

403

Current account is not a reseller

404

Child auth key or child id not found

GET /reseller/children/{childIdentifier}
PUT /reseller/children/{childIdentifier}
operationId: Reseller_updateChildInfo

Parameters

Name In Required Type Description
childIdentifier path required string

Either auth key or id of reseller’s child

Request Body

required

values to update in child profile

application/json
schema updateChild
Property Type Required
email string optional
lastName string optional
password string optional
firstName string optional
companyName string optional

Responses

204

reseller’s child updated

400

bad request

403

Current account is not a reseller

404

Child auth key or child id not found

PUT /reseller/children/{childIdentifier}
GET /reseller/children/{childIdentifier}/accountCreationStatus
operationId: Reseller_getChildAccountCreationStatus

Parameters

Name In Required Type Description
childIdentifier path required string

Either auth key or id of reseller’s child

Responses

200

status of reseller’s child account

400

bad request

403

Current account is not a reseller

404

Child auth key or child id not found

GET /reseller/children/{childIdentifier}/accountCreationStatus
PUT /reseller/children/{childIdentifier}/accountStatus
operationId: Reseller_updateChildAccountStatus

Parameters

Name In Required Type Description
childIdentifier path required string

Either auth key or id of reseller’s child

Request Body

required

values to update in child account status

application/json
schema updateChildAccountStatus
Property Type Required
smsCampaign boolean optional
transactionalSms boolean optional
transactionalEmail boolean optional
marketingAutomation boolean optional

Responses

204

reseller’s child account status updated

400

bad request

403

Current account is not a reseller

404

Child auth key or child id not found

PUT /reseller/children/{childIdentifier}/accountStatus
GET /reseller/children/{childIdentifier}/auth

It returns a session [token] which will remain valid for a short period of time. A child account will be able to access a white-labeled section by using the following url pattern => https:/email.mydomain.com/login/sso?token=[token]

operationId: Reseller_getSessionToken

Parameters

Name In Required Type Description
childIdentifier path required string

Either auth key or id of reseller’s child

Responses

200

Session token

400

bad request

403

Current account is not a reseller

404

Child auth key or child id not found

GET /reseller/children/{childIdentifier}/auth
POST /reseller/children/{childIdentifier}/credits/add
operationId: Reseller_addChildCredits

Parameters

Name In Required Type Description
childIdentifier path required string

Either auth key or id of reseller’s child

Request Body

required

Values to post to add credit to a specific child account

application/json
schema addCredits
Property Type Required
sms integer optional
email integer optional

Responses

200

Credits added

400

bad request

403

Current account is not a reseller

404

Child auth key or child id not found

POST /reseller/children/{childIdentifier}/credits/add
POST /reseller/children/{childIdentifier}/credits/remove
operationId: Reseller_removeCreditsFromChild

Parameters

Name In Required Type Description
childIdentifier path required string

Either auth key or id of reseller’s child

Request Body

required

Values to post to remove email or SMS credits from a specific child account

application/json
schema removeCredits
Property Type Required
sms integer optional
email integer optional

Responses

200

Credits removed

400

bad request

403

Current account is not a reseller

404

Child auth key or child id not found

POST /reseller/children/{childIdentifier}/credits/remove
GET /reseller/children/{childIdentifier}/domains
operationId: Reseller_getChildDomains

Parameters

Name In Required Type Description
childIdentifier path required string

Either auth key or id of reseller’s child

Responses

200

Sender domains of the child

400

bad request

403

Current account is not a reseller

404

Child auth key or child id not found

GET /reseller/children/{childIdentifier}/domains
Load more endpoints